Overview | Package | Class | Use | Tree | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.lucene.spatial.prefix
Class PointPrefixTreeFieldCacheProvider

    java.lang.Object
      org.apache.lucene.spatial.util.ShapeFieldCacheProvider<com.spatial4j.core.shape.Point>
          org.apache.lucene.spatial.prefix.PointPrefixTreeFieldCacheProvider

    public class PointPrefixTreeFieldCacheProvider

extends ShapeFieldCacheProvider<com.spatial4j.core.shape.Point>

Implementation of `ShapeFieldCacheProvider` designed for `PrefixTreeStrategy`s. Note, due to the fragmented representation of Shapes in these Strategies, this implementation can only retrieve the central `Point` of the original Shapes.

NOTE: This API is for internal purposes only and might change in incompatible ways in the next release.

Field Summary

Fields inherited from class org.apache.lucene.spatial.util.ShapeFieldCacheProvider
`defaultSize, shapeField`

Constructor Summary
`PointPrefixTreeFieldCacheProvider(SpatialPrefixTree grid, String shapeField, int defaultSize)`

Method Summary
`protected com.spatial4j.core.shape.Point` | `readShape(BytesRef term)`

Methods inherited from class org.apache.lucene.spatial.util.ShapeFieldCacheProvider
`getCache`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### PointPrefixTreeFieldCacheProvider

    public PointPrefixTreeFieldCacheProvider(SpatialPrefixTree grid,
                                             String shapeField,
                                             int defaultSize)

Method Detail

### readShape

    protected com.spatial4j.core.shape.Point readShape(BytesRef term)

  Specified by:
    `readShape` in class `ShapeFieldCacheProvider<com.spatial4j.core.shape.Point>`

Overview | Package | Class | Use | Tree | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000-2013 Apache Software Foundation. All Rights Reserved.